/*------------------------------------------------------------------------------
 *
 * main() - Opt-Cal main program module - performs action depending on the value
 *          of the variable "choice" returned by Main_Menu():
 *          1.  Calls one module from the list Menu_A() through Menu_J().
 *          2.  Calls Report_Error() for invalid menu selection.
 *          3.  Quits the Opt-Cal program.
 *
 *------------------------------------------------------------------------------
 */
#include "opt_cal.h"
main()
{
 char choice;
 extern Main_Menu();
 extern Report_Error();
 do
 {
   choice = Main_Menu();
   switch(choice)
   {
    case 'a':
    case 'A': Menu_A(); break;
    case 'b':
    case 'B': Menu_B(); break;
    case 'c':
    case 'C': Menu_C(); break;
    case 'd':
    case 'D': Menu_D(); break;
    case 'e':
    case 'E': Menu_E(); break;
    case 'f':
    case 'F': Menu_F(); break;
    case 'g':
    case 'G': Menu_G(); break;
    case 'h':
    case 'H': Menu_H(); break;
    case 'i':
    case 'I': Menu_I(); break;
    case 'j':
    case 'J': Menu_J(); break;
    case 'q':
    case 'Q': printf("\nQuit Opt-Cal\n"); break;

    default : Report_Error(1); break;
   }/*END SWITCH*/

 }while(choice != 'Q' && choice != 'q');

}/*END MAIN*/
/*-----------------------------------------------------------------------------*/
